Bug 426929 - Review Request: tetex-lineno - Add line numbers on paragraphs in LaTeX
Review Request: tetex-lineno - Add line numbers on paragraphs in LaTeX
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-28 10:27 EST by Patrice Dumas
Modified: 2008-08-12 11:20 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-08-12 11:20:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Patrice Dumas 2007-12-28 10:27:32 EST
Spec URL: http://www.environnement.ens.fr/perso/dumas/fc-srpms/tetex-lineno.spec
SRPM URL: http://www.environnement.ens.fr/perso/dumas/fc-srpms/tetex-lineno-4.41-1.fc9.src.rpm
Description: 
Adds line numbers to selected paragraphs with reference
possible through the LaTeX \ref and \pageref
cross reference mechanism.
Comment 1 Patrice Dumas 2007-12-28 10:29:06 EST
This is only for EL-4. tetex-elsevier needs it.
It is in tetex and texlive in all the other distributions.

If it is accepted, it would be nice to add an Obsolete/Provides
for it in all the tetex/texlive that provides it.
Comment 2 Jason Tibbitts 2007-12-30 01:44:15 EST
This is a really trivial package.  Honestly I don't really like the idea of
using the Fedora review process for a package that will never be used in Fedora,
but I guess after its imported and branched you can just mark the devel branch
as a dead.package so it won't ever make it into a Fedora release.

About the package name: normally I'd say this should be tex-lineno but since
it's EL-4 only I can't see how it really matters.

* source files match upstream:
   95a83f00cbcbf68f7f5f53a6b1675ab45ee7df2d18a273c8a0db8cdaa98cfe5a
   lineno.zip
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper (none)
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   tetex-lineno = 4.41-1.fc9
  =
   /usr/bin/texhash
   tetex-latex
* %check is not present, no test suite upstream.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets OK (texhash)
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 3 Patrice Dumas 2007-12-30 14:25:29 EST
New Package CVS Request
=======================
Package Name: tetex-lineno
Short Description:  Add line numbers on paragraphs in LaTeX
Owners: pertusus
Branches: EL-4
InitialCC: 
Cvsextras Commits: yes

Thanks for the quick review.

There is no need for a devel branch. But it is not a problem
if there is such a branch.

I know that the name is not in line with the new packaging
guidelines, but it is on purpose, to have the name consistent
with what users expect on this platform.

As for using the fedora review process for EPEL only packages, 
in my opinion it is a must. No package should go to EPEL 
without review, EPEL packaging guidelines are the same
than fedora, and EPE is under the fedora umbrella. So I
can't see what review process should be used.


Jindrich, please add the obsolete/provides in EL-5 and in 
fedora.
Comment 4 Jindrich Novy 2007-12-31 09:09:27 EST
Well, the EPEL branches for tetex don't exist at all so they need to be created.
Are you sure you want to add a new package for EPEL-4 exclusively? That sounds
quite weird to me. I vote for including the package in rawhide as well if you
really want to add the package or it makes sense in conjunction with texlive.

Also please provide a patch how you want to provide/obsolete the package.
Shouldn't tetex/texlive just require the new package as soon it's built?
Comment 5 Patrice Dumas 2007-12-31 10:25:01 EST
You don't get it. In RHEL 5 the lineno package is in 
tetex. It is also in recent fedora tetex and it is in texlive.
So I am asking to have a obsolete/provides in RHEL 5 tetex and
in fedora texlive (in order to have the obsolete/provides 
in RHEL 6 too).

EPEL branches for tetex cannot exist, tetex is in RHEL. I was
assuming that you were the RHEL tetex maintainer, or at 
least that you could communicate/influence the packager.

I want an EPEL 4 branch exclusively because the files are in
a RHEL/Fedora package for other branches.
Comment 6 Kevin Fenzi 2007-12-31 13:02:09 EST
cvs done. 

It might take a while for a EL-5 update with the obsoletes/provides... 

Also, there is a devel branch, which you may want to just dead.package. 
(devel branch is required for all packages). 
Comment 7 Patrice Dumas 2008-01-02 04:11:47 EST
This is build in EL-4.

Jindrich, I propose that you close that bug when you have added 
the Obsoletes/Provides in EL-5 and fedora texlive. Ok?
Comment 8 Jason Tibbitts 2008-02-19 14:06:19 EST
Any chance that this will be closed any time soon?
Comment 9 Patrice Dumas 2008-02-19 14:14:48 EST
Doesn't comment 7 answer your question?
Comment 10 Jason Tibbitts 2008-02-19 14:47:37 EST
It does not, because I have no idea when those Obsoletes and Provides will be added.
Comment 11 Patrice Dumas 2008-02-19 14:59:42 EST
Ok, I understand now. Jindrich?
Comment 12 Jindrich Novy 2008-02-21 04:52:08 EST
Please write me what provides/obsoletes do you need to add in EL-5 branch and
rawhide and I'll add them.
Comment 13 Patrice Dumas 2008-02-21 12:09:57 EST
I think that we can assume that lineno version won't change soon, 
so the following should be right:

Obsolete: tetex-lineno = 4.41
Provides: tetex-lineno = 4.41

And also in texlive for EL-6.

Thanks.
Comment 14 Jindrich Novy 2008-02-22 04:41:03 EST
Just a quick question before I apply it. Wouldn't it be better to:

Obsoletes:      tetex-lineno < 4.42
Provides:       tetex-lineno = 4.42

in order to not to let texlive-texmf provide the same package as it obsoletes?
Comment 15 Patrice Dumas 2008-02-22 15:06:05 EST
Yes, you are right. Could also be 

Obsoletes:      tetex-lineno = 4.41
Provides:       tetex-lineno = 4.42
Comment 16 Jason Tibbitts 2008-08-08 12:29:23 EDT
I don't have RHEL around so I'm not sure if the needed provides/obsoletes have been added.  There in all of the Fedora branches that I can see.  Any possibility of closing this ticket now?
Comment 17 Patrice Dumas 2008-08-12 11:20:58 EDT
As far as I can tell, it is still not in RHEL. However I remember
being told to fill a separate bug, and it looks like I didn't do it.
I have filled Bug 458828, closing.

Note You need to log in before you can comment on or make changes to this bug.